Name:		ctapi-cyberjack
Summary:	CT-API 1.1 driver for REINER SCT cyberjack USB chipcard reader
Version:	3.0.5
Release:	2%{?dist}
Requires(pre):	group(ctapiusers)
Requires:	%{_libdir}/ctapi
#ExcludeArch:	x86_64

%if 0%{?rhel} > 4 || 0%{?fedora} > 4
%define withPCSC 1
BuildRequires:  libusb-devel readline-devel pcsc-lite-devel >= 1.3.0
%else
%define withPCSC 0
BuildRequires:  libusb-devel readline-devel
%endif
%if 0%{?fedora} > 6
%define useNewUdev 1
%else
%define useNewUdev 0
%endif

URL:		http://sourceforge.net/projects/libchipcard		

License: 	LGPLv2+
Group: 		Development/Libraries
Source0: 	%{name}-%{version}.tar.gz
Source1:	91-cyberjack.rules
Source2:        91-cyberjack.rules.old
Source3:	ctapi.h
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if %{withPCSC}
%define readers_dir %(pkg-config libpcsclite --variable=usbdropdir)
%define pcsc_home %{readers_dir}/ifd-cyberjack.bundle/Contents
%endif

%package devel
Summary:	Development files for libctapi-cyberjack
Requires:	%{name} = %{version}
Group:		Development/Libraries

%if %{withPCSC}
%package pcsc
Summary:	PC/SC Module
Requires:	pcsc-lite 
Group:          Development/Libraries
Provides:	pcsc-ifd-handler
%endif

%package tools
Summary:	Some tools for the reader
Requires:	%{name} = %{version}
Group:		Applications/System

%description
REINER SCT cyberJack pinpad/e-com USB user space driver

This package includes the CT-API driver for the cyberJack pinpad/e-com
USB chipcard reader.

The kernel side driver is included in the official linux kernel starting
with version 2.4.6.

For more information regarding installation under Linux see the README.txt
in the documentation directory, esp. regarding compatibility with host
controllers.

For more information about the reader, software updates and a shop see
http://www.reiner-sct.com

			WARNING 
Use the tool ctsh only when you know what you are doing!!!
Or you can damage your SmartCard!!!

			Hint
When using the CT-API lib you must first stop the PC/SC daemon,
when you use it.

%description devel
Development files for libctapi-cyberjack

%if %{withPCSC}
%description pcsc
Files for the PC/SC system.
%endif

%description tools
The tool's for read the german Geldkarte, flash the firmware
and an generic check tool for the reader.


%prep
%setup -q -n %{name}-%{version}

%build
%if %{withPCSC}
%configure
%else
%configure --disable-pcsc
%endif

make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ctapi
mkdir -p $RPM_BUILD_ROOT%{_includedir}/ctapi-cyberjack
mv $RPM_BUILD_ROOT%{_libdir}/libctapi-cyberjack* $RPM_BUILD_ROOT%{_libdir}/ctapi/
# fix for crash when no X server running
mv $RPM_BUILD_ROOT%{_sysconfdir}/cyberjack.conf.default  $RPM_BUILD_ROOT%{_sysconfdir}/cyberjack.conf
sed -i "s\flags=0\flags=0x10000\1" $RPM_BUILD_ROOT%{_sysconfdir}/cyberjack.conf
#remove unnecessary files
rm -f $RPM_BUILD_ROOT/sbin/udev.cyberjack.sh
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/99-cyberjack.rules
#use my own udev file, because the orginal is more forSuSE 
%if %{useNewUdev}
install -c -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/91-cyberjack.rules
%else
install -c -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/91-cyberjack.rules
%endif
# add the header, because the orginal was removed
install -c -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_includedir}/ctapi-cyberjack/ctapi.h 
#move the helper script to /usr/bin
mv $RPM_BUILD_ROOT%{_libdir}/cyberjack/getdist.sh $RPM_BUILD_ROOT%{_bindir}/

%if %{withPCSC}
%post pcsc
#register PC/SC driver  and restart daemon
/sbin/service pcscd condrestart||: 

%postun pcsc
#unregister PC/SC driver and restart daemon
/sbin/service pcscd condrestart||:
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYRIGHT* 
%doc doc/README.txt
%doc doc/README.pdf
%doc doc/README.html

%defattr(-,root,root,-)
# CT-API
%{_libdir}/ctapi/libctapi-cyberjack.so.*
%config %{_sysconfdir}/cyberjack.conf
%config %{_sysconfdir}/udev/rules.d/91-cyberjack.rules

%if %{withPCSC}
%files pcsc
# PC/SC
%dir %{readers_dir}/ifd-cyberjack.bundle
%dir %{readers_dir}/ifd-cyberjack.bundle/Contents
%dir %{readers_dir}/ifd-cyberjack.bundle/Contents/Linux
/%{pcsc_home}/Linux/*
%attr(0644,root,root)/%{pcsc_home}/Info.plist
%attr(0644,root,root)/%{pcsc_home}/PkgInfo
%endif

%files devel
%defattr(0644,root,root)
%attr(0755,root,root)%dir %{_includedir}/ctapi-cyberjack
%{_includedir}/ctapi-cyberjack/ctapi.h
%{_libdir}/ctapi/libctapi-cyberjack.so
%{_libdir}/ctapi/libctapi-cyberjack.la

%files tools
%defattr(0755,root,root)
%{_bindir}/cjgeldkarte
%{_bindir}/cjflash
%{_bindir}/cyberjack
%{_bindir}/getdist.sh

%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.0.5-2
- Autorebuild for GCC 4.3

*Sat Oct 20 2007 Frank Büttner <frank-buettner@gmx.net> - 3.0.5-1
 - update to 3.0.5
 - fix project URL
 - fix license
 
*Mon Sep 17 2007 Frank Büttner <frank-buettner@gmx.net> - 3.0.4-1
 - update to 3.0.4

*Mon Aug 06 2007 Frank Büttner <frank-buettner@gmx.net> - 3.0.3-3
 - apply fix only for F7 an newer

*Sat Aug 04 2007 Frank Büttner <frank-buettner@gmx.net> - 3.0.3-2
 - fix #246842 (change udev rules)
 
*Sat Jul 28 2007 Frank Büttner <frank-buettner@gmx.net> - 3.0.3-1
 - update to 3.0.3
 - next fix for the "only root problem"

* Sat Jul 21 2007 Frank Büttner <frank-buettner@gmx.net> - 3.0.2-2
 - fix the old "only root can use the reader" problem

* Sat Jul 21 2007 Frank Büttner <frank-buettner@gmx.net> - 3.0.2-1
- update to 3.0.2

* Sat Jun 23 2007 Frank Büttner <frank-buettner@gmx.net> - 3.0.0-3%{?dist}
 - disable PC/SC part for EL4 

* Sat Jun 23 2007 Frank Büttner <frank-buettner@gmx.net> - 3.0.0-2%{?dist}
 - rebuild because of missing file in the cvs system

* Sat Jun 23 2007 Frank Büttner <frank-buettner@gmx.net> - 3.0.0-1%{?dist}
 - final release for 3.0.0

* Thu  May 31 2007 Frank Büttner <frank-buettner@gmx.net> - 3.0.0beta1-2%{?dist}
- rebuild with the missing file

* Thu May 08 2007 Frank Büttner <frank-buettner@gmx.net> - 3.0.0beta1-1%{?dist}
- first build for the new version

* Fri May 04 2007 Frank Büttner <frank-buettner@gmx.net> - 2.0.14-2%{?dist}
- rebuild for the ppc64 arch

* Sat Apr 07 2007 Frank Büttner <frank-buettner@gmx.net> - 2.0.14-1%{?dist}
- update to release of 2.0.14
- fix unowned directores

* Wed Mar 14 2007 Frank Büttner <frank-buettner@gmx.net> - 2.0.14beta1-1%{?dist}
- build for the 2.0.14 version(beta at this time)
- Implements part 10 of the PC/SC specifications (regarding secure pin verification via PC/SC)
  and fixes a bug in the IFD handler which sometimes causes SCardReconnect() to fail.
  
* Thu Jan 09 2007 Frank Büttner <frank-buettner@gmx.net> - 2.0.13-1%{?dist}
- build for final 2.0.13 version

* Fri Dec 29 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.13beta5-2%{?dist}
- fix build errors
- clean up spec file

* Fri Dec 29 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.13beta5-1%{?dist}
- first test for the new 2.0.13 driver
- clean up the spec file
- change URL to the sourceforge page

* Mon Dec 25 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.12-2%{?dist}
- Fix an crash when use the lib on console apps without an X server.

* Sun Nov 5 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.12-1%{?dist}
- update to driver version 2.0.12

* Sat Sep 16 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.11-6%{?dist}
- try %configure instead of configure

* Sat Sep 16 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.11-5%{?dist}
- disable build on EMT64 until somebody with such system fix it

* Sat Sep 16 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.11-4%{?dist}
- enable smp build, last try for EMT64

* Sat Sep 16 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.11-3%{?dist}
- Next try to build on EMT64 systems.

* Sat Sep 16 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.11-2%{?dist}
- Next try to build on EMT64 systems.

* Sat Sep 16 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.11-1%{?dist}
- update to 2.0.11

* Mon Jul 24 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.10-6%{?dist}
- fix ncurses-devel build requires  

* Mon Jul 24 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.10-5%{?dist}
- disable the ppc excude, to allow testing 

* Thu Jun 08 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.10-4%{?dist}
- exclude arch ppc until someone can tell me that the kernel driver exists
  on PPC 

* Sun May 28 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.10-3%{?dist}
 - no change only respect to cvs trouble

* Sat May 27 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.10-2%{?dist}
- add "Provides:pcsc-ifd-handler" for the PC/SC part

* Fri May 12 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.10-1%{?dist}
- update driver to 2.0.10
- readers.conf now unnessery

* Thu May 11 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.8-13%{?dist}
- rename -soname for the PC/SC part from libcyberjack_ifd.so.0 to
  libcyberjack_ifd.so
- fix place for the comments of /sbin/service pcscd condrestart

* Wed May 10 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.8-12%{?dist}
- fix comments for %%post/%%postun pcsc
- fix call of restart the PC/SC daemon
- move to the old version of dependency for the PC/SC package
- add -soname option in PS/SC driver

* Tue May 9 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.8-11%{?dist}
- remove comments at %%post and %%postun
- remove unneeded /usr/sbin/update-reader.conf call

* Mon May 8 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.8-10%{?dist}
- fix ldconfig for the PC/SC part
- fix dependency for the PC/SC package
- fix build dependency for the package.

* Mon May 8 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.8-9%{?dist}
- restart PC/SC daemon only when it run's
- fix CT-API version bug so that apps can find it in the ldcache via 
  libctapi-cyberjack.so
- add comment about using CT-API and PC/SC together

* Sun May 7 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.8-8%{?dist}
- add requirement of the ctapi dir under %{_libdir}
- the CT-API lib lives now under %{_libdir}/ctapi
- reenable link the ctapi driver static in the PC/SC part
- run ldconfig after install/uninstall

* Mon May 1 2006 Frank Büttner  <frank-buettner@gmx.net> - 2.0.8-7%{?dist}
- fix permission of ctapi-cyberjack-2.0.8.tar.bz2 and ctapi-cyberjack.spec
- fix permisson of the PC/SC config file
- restart PC/SC daemon after remove the PS/SC driver

* Sun Apr 30 2006 Frank Büttner  <frank-buettner@gmx.net> - 2.0.8-6%{?dist}
- replace if statements with comments
- replace german to english comments
- fix the makefile for the CT-API lib
- correct naming the libs CT-API and PS/SC 
- rename package PS/SC to pcsc
- replace RPM_BUILD_ROOT 
- fix doc
- add warning for the tool ctsh

* Thu Apr 27 2006 Frank Büttner  <frank-buettner@gmx.net> - 2.0.8-5%{dist}
- fix owner of lib's
- add PC/SC fix for FC5
- restart pcscd

* Thu Apr 27 2006 Frank Büttner  <frank-buettner@gmx.net> - 2.0.8-4%{dist}
- change permisson of all lib's to 0755
- rename lib files to support more reader's
- fix the path of the CT-API part and the devel file
- support FC4 and FC5

* Sat Apr 15 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.8-3%{dist}
- remove makefile workaround

* Sat Apr 15 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.8-2%{dist}
- remove packager
- remove hardcodet Fedora Tag
- rename file from ctapi-cyberjack-version to ctapi-cyberjack
- modify source URL
- fix clean section

* Sat Apr 08 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.8-1.FC4
- start for Fedora
- sepperate the PC/SC part

* Wed Mar 02 2005 - Harald Welte <hwelte@hmw-consulting.de>
+ ctapi-cyberjack-2.0.8-1
- fix double-free bug
- update support email address to reflect current one
- fix 'make install' target
- add '-lusb' to libcyberjack_ifd (Martin Preuss)

* Sun Jan 30 2005 - Harald Welte <hwelte@hmw-consulting.de>
+ ctapi-cyberjack-2.0.6-1
- add magic to automatically put current version number in specfile
- add 0x800 e-com direct-ttyUSBx open hack
- fix initialization errors (Martin Preuss)
- simplified Makefile System (Martin Preuss)
- Added make target "install" (Martin Preuss)
- Fixed the name of the CTAPI driver loaded by "cjgeldkarte"
- Fix typos in README.xml

* Sun Dec 19 2004 - Harald Welte <hwelte@hmw-consulting.de>
+ ctapi-cyberjack-2.0.5-1
- add functionality to beep at keypress
- introduce CJCTAPI_NO_KEYBEEP environment variable

* Wed Nov 17 2004 - Harald Welte <hwelte@hmw-consulting.de>
+ ctapi-cyberjack-2.0.4-2
- add x86_64 -fPIC patch for pcsc
- add x86_64 64bit data type patch

* Tue Nov 16 2004 - Harald Welte <hwelte@hmw-consulting.de>
+ ctapi-cyberjack-2.0.4-1
- fixes: gcc-2.95 compile, cjgeldkarte-getopt, SIGSEGV / ctapiClose

* Tue Nov 02 2004 - Harald Welte <hwelte@hmw-consulting.de>
+ ctapi-cyberjack-2.0.2-1
- fix libusb linking dependency

* Wed Aug 25 2004 - Harald Welte <hwelte@hmw-consulting.de>
+ ctapi-cyberjack-2.0.1-1
- Bugfixes in REINER-SCT driver for pinpad_a

* Fri Aug 13 2004 - Harald Welte <hwelte@hmw-consulting.de>
+ ctapi-cyberjack-2.0.0-0beta1
- final new usb ProductID (0x300) for pp_a
- Include build of pcsc library
- Include ctsh
- Include static library into -devel

* Wed Aug 11 2004 - Harald Welte <hwelte@hmw-consulting.de>
+ ctapi-cyberjack-2.0.0-0beta
- Update to new major release including pinpad_a support
- New dual driver shared library architecture

* Tue Mar 18 2003 - Matthias Bruestle <m@mbsks.franken.de>
- Devices are created, when not present.

* Sun May 03 2002 - Matthias Bruestle <m@mbsks.franken.de>
- Added ctsh.

* Fri Dec 21 2001 - Matthias Bruestle <m@mbsks.franken.de>
- Added cjgeldkarte.

* Fri Dec 14 2001 - Matthias Bruestle <m@mbsks.franken.de>
- Added some polish.

* Sat Dec 01 2001 - Matthias Bruestle <m@mbsks.franken.de>
- Added PC/SC IFD handler.

* Sun Aug 26 2001 - mge@suse.de
- adopted package to SuSE build system

* Sun Jun 03 2001 - Matthias Bruestle <m@mbsks.franken.de
- First version of the SPEC file.
